"use client";

import React from "react";
import { useRouter } from "next/navigation";


interface NavigationButtonsProps {
  bookId: string;
  documentId: string;
  prevChapter: string;
  nextChapter: string;
}

const NavigationButtons: React.FC<NavigationButtonsProps> = ({ bookId, documentId, prevChapter, nextChapter }) => {
  const router = useRouter();
  console.log(documentId)
  const navigateToChapter = (destinationId: string) => {
    router.push(`/books/${bookId}/chapters/${destinationId}`);
  };

  const navigateToAllChapters = () => {
    router.push(`/books/${bookId}`);
  };


  return (
    <div className="mt-8 flex justify-between">
      <button
        className={`
          bg-teal-500 text-white py-2 px-4 rounded 
          hover:bg-teal-600 
          disabled:bg-gray-400 disabled:cursor-not-allowed
        `}
        onClick={() => prevChapter === ""? navigateToAllChapters() : navigateToChapter(prevChapter)}
        disabled={prevChapter === ""}
      >
        Prev Chapter
      </button>
      <button
        className="bg-blue-500 text-white py-2 px-4 rounded hover:bg-blue-600"
        onClick={navigateToAllChapters}
      >
        All Chapters
      </button>
      <button
        className={`
          bg-green-500 text-white py-2 px-4 rounded 
          hover:bg-green-600 
          disabled:bg-gray-400 disabled:cursor-not-allowed
        `}
        onClick={() =>
          nextChapter === "" ? navigateToAllChapters() : navigateToChapter(nextChapter)
        }
        disabled={nextChapter === ""}
      >
        Next Chapter
      </button>
    </div>
  );
};

export default NavigationButtons;
