// src/lib/types.ts
export interface Chapter {
    id: number;
    documentId: string;
    Name: string;
    Chapter_Number: number;
    ReleaseDate: string;
    Content: string;
    book?: Book;
}

export interface Editor {
    id: number;
    name: string;
    email: string;
    books: Book[];
}

export interface Glossary {
    id: number;
    name: string;
    entries: string[];
}

export interface Media {
    id: number;
    name: string;
    alternativeText?: string; // Optional field
    caption?: string; // Optional field
    width?: number;
    height?: number;
    formats?: {
      thumbnail?: { url: string; width: number; height: number };
      small?: { url: string; width: number; height: number };
      medium?: { url: string; width: number; height: number };
      large?: { url: string; width: number; height: number };
    };
    hash: string;
    ext: string;
    mime: string;
    size: number;
    url: string; // The URL to access the media
    previewUrl?: string; // Optional preview URL
    provider: string;
    provider_metadata?: string; // Metadata specific to the provider
    createdAt: string;
    updatedAt: string;
  }
  
export interface Book {
    id: number;
    documentId: string;
    Name: string;
    ReleaseDate: string;
    chapters: Chapter[];
    Cover: Media | null;
    Author: string;
    Complete: boolean;
    editors: Editor[];
    RawName: string;
    RawAuthor: string;
    glossary: Glossary;
    Description: string;
  }
  